---
title: "Vecteurs de booléens"
weight: 13
output:
  blogdown::html_page:
    toc: false
    fig_width: 6
    dev: "svg"
---

<script src="/rmarkdown-libs/header-attrs/header-attrs.js"></script>


<div id="création" class="section level3">
<h3>Création</h3>
<pre class="r"><code>x=c(T,F,T)
(1:10)&gt;5</code></pre>
<pre><code>##  [1] FALSE FALSE FALSE FALSE FALSE  TRUE  TRUE  TRUE  TRUE  TRUE</code></pre>
<pre class="r"><code>(1:10)%%2==1</code></pre>
<pre><code>##  [1]  TRUE FALSE  TRUE FALSE  TRUE FALSE  TRUE FALSE  TRUE FALSE</code></pre>
<pre class="r"><code>rep(T,3)</code></pre>
<pre><code>## [1] TRUE TRUE TRUE</code></pre>
<pre class="r"><code>grepl(pattern = &quot;r&quot;,month.name)</code></pre>
<pre><code>##  [1]  TRUE  TRUE  TRUE  TRUE FALSE FALSE FALSE FALSE  TRUE  TRUE  TRUE  TRUE</code></pre>
<p>A quoi servent les vecteurs de booléens ?</p>
<p>Principalement à filtrer ou indexer et compter.</p>
</div>
<div id="fonctions-et-opérateurs-spécifiques-applicables-à-des-booléens" class="section level3">
<h3>Fonctions et opérateurs spécifiques applicables à des booléens</h3>
<pre class="r"><code>x=c(T,F,T)
y=c(T,T,T)
all(x,y)</code></pre>
<pre><code>## [1] FALSE</code></pre>
<pre class="r"><code>x|y</code></pre>
<pre><code>## [1] TRUE TRUE TRUE</code></pre>
<pre class="r"><code>x||y</code></pre>
<pre><code>## [1] TRUE</code></pre>
<pre class="r"><code>x&amp;y</code></pre>
<pre><code>## [1]  TRUE FALSE  TRUE</code></pre>
<pre class="r"><code>x&amp;&amp;y</code></pre>
<pre><code>## [1] TRUE</code></pre>
<pre class="r"><code> ?`&amp;&amp;`
is.element(1:3,1:2)</code></pre>
<pre><code>## [1]  TRUE  TRUE FALSE</code></pre>
<pre class="r"><code>!y</code></pre>
<pre><code>## [1] FALSE FALSE FALSE</code></pre>
</div>
<div id="booléen-ou-numérique" class="section level3">
<h3>Booléen ou numérique ?</h3>
<pre class="r"><code>T==1</code></pre>
<pre><code>## [1] TRUE</code></pre>
<pre class="r"><code>F==0</code></pre>
<pre><code>## [1] TRUE</code></pre>
<pre class="r"><code>F*1</code></pre>
<pre><code>## [1] 0</code></pre>
<pre class="r"><code>F+0</code></pre>
<pre><code>## [1] 0</code></pre>
<pre class="r"><code>T*1</code></pre>
<pre><code>## [1] 1</code></pre>
<pre class="r"><code>max(T,0)</code></pre>
<pre><code>## [1] 1</code></pre>
<pre class="r"><code>T+5</code></pre>
<pre><code>## [1] 6</code></pre>
<pre class="r"><code>10*((1:10)&lt;5)+5*((1:10)&gt;=5)</code></pre>
<pre><code>##  [1] 10 10 10 10  5  5  5  5  5  5</code></pre>
</div>
<div id="exercice" class="section level3">
<h3>Exercice</h3>
<p>Executer</p>
<pre class="r"><code>set.seed(1)
x=rpois(1000,1)</code></pre>
<p>Compter le nombre de fois ou <code>x</code> contient un nombre impair</p>
<pre class="r"><code>set.seed(1)
x=rpois(1000,1)</code></pre>
<hr />
<details>
<summary>
Solution
</summary>
<pre class="r"><code>(x%%2==1)|&gt;sum()</code></pre>
<pre><code>## [1] 451</code></pre>
</details>
<hr />
</div>
